------------------------------------------------------------------
--                                                              --
--  File:   Backup_Database.SQL                                 --
--          Microsoft TPC-E Benchmark Kit Ver. 1.5.0-1007       --
--          Copyright Microsoft  2008                           --
--                                                              --
------------------------------------------------------------------
Use master
GO

DECLARE @startdate	DATETIME,
	    @enddate	DATETIME

SELECT  @startdate = GETDATE()
SELECT  'Start date:',
		CONVERT(VARCHAR(30),@startdate, 21)

BACKUP  DATABASE tpce
TO      DISK = 'E:\tpcebackup1.bak',
        DISK = 'F:\tpcebackup2.bak',
        DISK = 'H:\tpcebackup3.bak',
        DISK = 'I:\tpcebackup4.bak',
        DISK = 'J:\tpcebackup5.bak',
        DISK = 'K:\tpcebackup6.bak',
        DISK = 'N:\tpcebackup7.bak',
        DISK = 'O:\tpcebackup8.bak',
        DISK = 'P:\tpcebackup9.bak',
        DISK = 'Q:\tpcebackup10.bak',
        DISK = 'S:\tpcebackup11.bak',
        DISK = 'T:\tpcebackup12.bak'
WITH    INIT, STATS = 5

SELECT  @enddate = GETDATE()
SELECT  'End date: ',
		CONVERT(VARCHAR(30),@enddate, 21)
SELECT  'Elapsed time (in seconds): ',
		DATEDIFF(second, @startdate, @enddate)
GO
