------------------------------------------------------------------
--                                                              --
--  File:  CREATE_DATABASE.SQL                                  --
--         Microsoft TPC-E Benchmark Kit Ver. 1.5.0-1007        --
--         Copyright Microsoft  2007, 2008                      --
-- DS 15.4.08 - 16x SX40 SAS RAID10                             --
------------------------------------------------------------------

USE master
GO

--  create main database files
CREATE DATABASE tpce
ON PRIMARY
(	NAME		= MSSQL_tpce_root,
	FILENAME	= 'C:\MSSQL_tpce_root.mdf',
	SIZE		= 8MB,
	FILEGROWTH	= 0),
FILEGROUP	cst_fg
(	NAME		= CST1,
	FILENAME	= 'C:\jp\cst1\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST2,
	FILENAME	= 'C:\jp\cst2\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST3,
	FILENAME	= 'C:\jp\cst3\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST4,
	FILENAME	= 'C:\jp\cst4\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST5,
	FILENAME	= 'C:\jp\cst5\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST6,
	FILENAME	= 'C:\jp\cst6\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST7,
	FILENAME	= 'C:\jp\cst7\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST8,
	FILENAME	= 'C:\jp\cst8\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST9,
	FILENAME	= 'C:\jp\cst9\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST10,
	FILENAME	= 'C:\jp\cst10\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST11,
	FILENAME	= 'C:\jp\cst11\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST12,
	FILENAME	= 'C:\jp\cst12\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST13,
	FILENAME	= 'C:\jp\cst13\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST14,
	FILENAME	= 'C:\jp\cst14\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
(	NAME		= CST15,
	FILENAME	= 'C:\jp\cst15\',
	SIZE		= 85000MB,
	FILEGROWTH	= 10),
FILEGROUP	else_fg
(	NAME		= ELSE1,
	FILENAME	= 'C:\jp\else1\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE2,
	FILENAME	= 'C:\jp\else2\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE3,
	FILENAME	= 'C:\jp\else3\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE4,
	FILENAME	= 'C:\jp\else4\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE5,
	FILENAME	= 'C:\jp\else5\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE6,
	FILENAME	= 'C:\jp\else6\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE7,
	FILENAME	= 'C:\jp\else7\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE8,
	FILENAME	= 'C:\jp\else8\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE9,
	FILENAME	= 'C:\jp\else9\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE10,
	FILENAME	= 'C:\jp\else10\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE11,
	FILENAME	= 'C:\jp\else11\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE12,
	FILENAME	= 'C:\jp\else12\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE13,
	FILENAME	= 'C:\jp\else13\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE14,
	FILENAME	= 'C:\jp\else14\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10),
(	NAME		= ELSE15,
	FILENAME	= 'C:\jp\else15\',
	SIZE		= 25000MB,
	FILEGROWTH	= 10)
LOG ON
(	NAME		= MSSQL_tpce_log,
	FILENAME	= 'L:',
	SIZE		= 200000MB,
	FILEGROWTH	= 0)
COLLATE Latin1_General_BIN
GO


